Jump to content


Photo

Ufo2000 Startup Error


  • Please log in to reply
20 replies to this topic

#1 LukasThyWalls

LukasThyWalls

    Squaddie

  • Forum Members
  • PipPip
  • 2 posts

Posted 03 December 2005 - 11:54 AM

Hello

First, sorry for my english, is poor, I'm Spanish and my english is some primitive, :D

When I start the UFO2000, I see a console and before load sample3.cat stop the load. In a message box tell me "Assert Failed at line 266 of src/pck.cpp" and when clic OK the program shutdown (After shutdown, I see a Runtime C++ Error of xcom2000.exe, but it not give me no information about error)

My computer use WinXP SP1, and I use a UFO XCom1 (Enemy Unknown or UFO Defense) but I think the problem is in the Game, Itīs a traduction of XCOM1 in Spanish, but the normal game works fine.

I can send the game, it can be useful for test it.

Thank You for all

Edited by LukasThyWalls, 03 December 2005 - 12:01 PM.


#2 Serge

Serge

    Project Leader: UFO 2000

  • Xenocide Programming Department
  • 785 posts

Posted 03 December 2005 - 01:55 PM

The game breaks on loading some non-standard pck file (if there is such a thing as pck standard :) ). You can PM me and provide a link to that Spanish version of x-com, I'll try to see what can be done to support it.
ufo2000 development team
http://ufo2000.sourceforge.net

#3 Greyfox386

Greyfox386

    Squaddie

  • Forum Members
  • PipPip
  • 4 posts

Posted 20 February 2006 - 12:31 AM

hey im having the same problem and i have the english version. its the 266 error and im using xp. any help would be nice thanks :)

#4 Kratos

Kratos

    UFO2000 Staff

  • Moderators
  • PipPipPipPipPip
  • 4,113 posts

Posted 20 February 2006 - 12:55 AM

If you are using stable during this error, could you test this on our latest beta? Many improvements have progressed since stable. :)

#5 Greyfox386

Greyfox386

    Squaddie

  • Forum Members
  • PipPip
  • 4 posts

Posted 20 February 2006 - 08:41 AM

thats the thing i already had the stable version goin and saw that there was a beta and thought i would try it but when i launched the beta after installing it gave me that error. should i uninstall the stable version???

#6 Greyfox386

Greyfox386

    Squaddie

  • Forum Members
  • PipPip
  • 4 posts

Posted 20 February 2006 - 09:15 AM

np nvm i uninstalled everything xcom including older version of ufo2000 and got it to work. thnx anyways :)

#7 LukasThyWalls

LukasThyWalls

    Squaddie

  • Forum Members
  • PipPip
  • 2 posts

Posted 07 March 2006 - 05:29 PM

Hello!

Many months ago, I return to the forum and i read this. :P

I use the new beta with my version of UFO and now give me this error

Assert Failed at line 275 of src/pck.cpp

And it close.

#8 Munkeh

Munkeh

    Sergeant

  • Forum Members
  • PipPipPip
  • 35 posts

Posted 03 June 2008 - 11:47 AM

Sorry to necro and old old thread, but I keep getting this.
Currently using the most recent beta, though I tried to play this game what must've been a good year or so ago. Same problem.

#9 nachtwolf

nachtwolf

    UFO2000 Staff: Leader

  • Moderators
  • PipPipPipPip
  • 310 posts

Posted 03 June 2008 - 09:39 PM

Sorry to necro and old old thread, but I keep getting this.
Currently using the most recent beta, though I tried to play this game what must've been a good year or so ago. Same problem.


Which version of X-com itself (not ufo2000) have you got installed, any mods?
Any extensions to Ufo2000?
What are the 3 last lines in init-scripts.log ?

Edited by nachtwolf, 03 June 2008 - 09:41 PM.

Posted Image

#10 Munkeh

Munkeh

    Sergeant

  • Forum Members
  • PipPipPip
  • 35 posts

Posted 04 June 2008 - 11:10 AM

# 2008-06-03 20:08:08 : Extension './extensions/weapons-original', loading time=0.094s.
# 2008-06-03 20:08:08 : Extension './extensions/weapons-ufo2000', loading time=2.391s.
# 2008-06-03 20:08:44 : !! Error: Assert failed at line 270 of src/pck.cpp.

My xcom version is Dos 1.4, with xcomutil installed.
No extensions to UFO that I'm aware of, just a straight install of the Beta.

#11 nachtwolf

nachtwolf

    UFO2000 Staff: Leader

  • Moderators
  • PipPipPipPip
  • 310 posts

Posted 04 June 2008 - 08:33 PM

# 2008-06-03 20:08:08 : Extension './extensions/weapons-original', loading time=0.094s.
# 2008-06-03 20:08:08 : Extension './extensions/weapons-ufo2000', loading time=2.391s.
# 2008-06-03 20:08:44 : !! Error: Assert failed at line 270 of src/pck.cpp.

My xcom version is Dos 1.4, with xcomutil installed.
No extensions to UFO that I'm aware of, just a straight install of the Beta.


Definitely a pck problem, same bug as described here.
Now do you have X-com in english? Which version of XcomUtil ? And also, did you install any mod on x-com itself along with XcomUtil ?
If I can reproduce the bug on my machine this will all be easier.

Edited by nachtwolf, 04 June 2008 - 08:36 PM.

Posted Image

#12 Munkeh

Munkeh

    Sergeant

  • Forum Members
  • PipPipPip
  • 35 posts

Posted 05 June 2008 - 10:28 AM

English, yep.
Most recent version of util, 9.6.
Only other mod is BombBlokes terrain-specific uniforms.

Running on XP, not that it should matter.

#13 nachtwolf

nachtwolf

    UFO2000 Staff: Leader

  • Moderators
  • PipPipPipPip
  • 310 posts

Posted 05 June 2008 - 12:14 PM

English, yep.
Most recent version of util, 9.6.
Only other mod is BombBlokes terrain-specific uniforms.

Running on XP, not that it should matter.


Ok, so far it would be very likely if it was BombBloke's uniforms as they mod the unit's PCK which are loaded by Ufo2000.
Also, problems with corrupted graphics have been reported about the uniforms on other forums.

I'll double check soon.
Posted Image

#14 Munkeh

Munkeh

    Sergeant

  • Forum Members
  • PipPipPip
  • 35 posts

Posted 05 June 2008 - 12:43 PM

I've got a clean install around here somewhere (as they say, always have a backup).
I'll see if using that makes a difference.

edit:
err, alright.
Tried it with a clean install from the unmodded folder. I no longer get the PCK error, but I still get the black window. Still get sound though, and if I click it sounds like it's working through the menu's (I get the 'bleep'), so it's probably a display issue.

Any ideas?

Edited by Munkeh, 05 June 2008 - 12:49 PM.


#15 Kratos

Kratos

    UFO2000 Staff

  • Moderators
  • PipPipPipPipPip
  • 4,113 posts

Posted 05 June 2008 - 02:22 PM

I too had a black screen a long time ago, on Windows XP. I think I fixed my problem by upgrading to a different video card (not sure) and proper drivers. Can you see anything in windowed mode (not fullscreen)? I could only get it to work by windowing it, which was really annoying.

Edited by Kratos, 05 June 2008 - 02:23 PM.


#16 Munkeh

Munkeh

    Sergeant

  • Forum Members
  • PipPipPip
  • 35 posts

Posted 05 June 2008 - 03:23 PM

Hmm, is there a command line for running it windowed?
When it starts up, it seems to be in a window slightly smaller than the screen anyway, although that might just be because it's struggling to start up.

I'm running a Radeon 9600SE anyway.
Latest drivers, but I'm sure I remember reading somewhere that UFO2000 has known issues with ATI cards.
Or am I thinking of another game? Actually, I might.

#17 nachtwolf

nachtwolf

    UFO2000 Staff: Leader

  • Moderators
  • PipPipPipPip
  • 310 posts

Posted 06 June 2008 - 04:02 PM

Hmm, is there a command line for running it windowed?
When it starts up, it seems to be in a window slightly smaller than the screen anyway, although that might just be because it's struggling to start up.

I'm running a Radeon 9600SE anyway.
Latest drivers, but I'm sure I remember reading somewhere that UFO2000 has known issues with ATI cards.
Or am I thinking of another game? Actually, I might.


Glad we found the source of the PCK bug.

I vaguely remember getting the black screen bug myself.
To run windowed go into your ufo2000.ini file in the main folder.

Go down to the FLAGS section and set :
F_FULLSCREEN = 0

Edited by nachtwolf, 06 June 2008 - 04:03 PM.

Posted Image

#18 Munkeh

Munkeh

    Sergeant

  • Forum Members
  • PipPipPip
  • 35 posts

Posted 07 June 2008 - 04:13 PM

Hmm.
Improvement, but.....

It initialises, but it hangs quite badly.
The window just displays the desktop (and if I move the window around, the same section of desktop displayed will move along with it).
The display will only update if covered over, say if I maximise another window (browser or folder, etc) and then minimise it again. I'll have to do that every time I change the display, say by opening new bits of menu on the startup scree.

That make sense?

#19 Munkeh

Munkeh

    Sergeant

  • Forum Members
  • PipPipPip
  • 35 posts

Posted 09 June 2008 - 10:55 AM

Any ideas boys?
This is utterly unplayable as is. :(

#20 Munkeh

Munkeh

    Sergeant

  • Forum Members
  • PipPipPip
  • 35 posts

Posted 06 July 2008 - 03:09 PM

Sorry to bump needlessly (I hate doing that) but does anyone have the first idea if this can be fixed?
As nice as Xcom is, I'd like to play against an intelligent human for a change....

#21 pieboblol

pieboblol

    Squaddie

  • Forum Members
  • PipPip
  • 1 posts

Posted 08 August 2008 - 06:18 PM

Hi, I have the exact same black screen problem and the same thing happens when I turn fullscreen off. I have a Radeon 9600 Pro (very similar to the Radeon 9600SE) so I'm certain it's a problem with the video card.

I say just buy a cheap new one because the 9600 isn't worth the trouble, and trouble's all I've ever got from this card.